Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Id_Hint_Strategy Class Reference

`#include <Active_Object_Map.h>`

Inheritance diagram for TAO_Id_Hint_Strategy:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_Id_Hint_Strategy (void)
virtual int | recover_key (const PortableServer::ObjectId &system_id, PortableServer::ObjectId &user_id)=0
virtual int | bind (TAO_Active_Object_Map::Map_Entry &entry)=0
virtual int | unbind (TAO_Active_Object_Map::Map_Entry &entry)=0
virtual int | find (const PortableServer::ObjectId &system_id, TAO_Active_Object_Map::Map_Entry *&entry)=0
virtual size_t | hint_size (void)=0
virtual int | system_id (PortableServer::ObjectId_out system_id, TAO_Active_Object_Map::Map_Entry &entry)=0

## Constructor & Destructor Documentation

TAO_Id_Hint_Strategy::~TAO_Id_Hint_Strategy | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual int TAO_Id_Hint_Strategy::bind | ( | TAO_Active_Object_Map::Map_Entry & | entry | ) | `[pure virtual]`

| Reimplemented in TAO_Active_Hint_Strategy, and TAO_No_Hint_Strategy.

virtual int TAO_Id_Hint_Strategy::find | ( | const PortableServer::ObjectId & | system_id,
|  | TAO_Active_Object_Map::Map_Entry *& | entry
| ) | `[pure virtual]`

| Reimplemented in TAO_Active_Hint_Strategy, and TAO_No_Hint_Strategy.

virtual size_t TAO_Id_Hint_Strategy::hint_size | ( | void |  | ) | `[pure virtual]`

| Reimplemented in TAO_Active_Hint_Strategy, and TAO_No_Hint_Strategy.

virtual int TAO_Id_Hint_Strategy::recover_key | ( | const PortableServer::ObjectId & | system_id,
|  | PortableServer::ObjectId & | user_id
| ) | `[pure virtual]`

| Reimplemented in TAO_Active_Hint_Strategy, and TAO_No_Hint_Strategy.

virtual int TAO_Id_Hint_Strategy::system_id | ( | PortableServer::ObjectId_out | system_id,
|  | TAO_Active_Object_Map::Map_Entry & | entry
| ) | `[pure virtual]`

| Reimplemented in TAO_Active_Hint_Strategy, and TAO_No_Hint_Strategy.

virtual int TAO_Id_Hint_Strategy::unbind | ( | TAO_Active_Object_Map::Map_Entry & | entry | ) | `[pure virtual]`

| Reimplemented in TAO_Active_Hint_Strategy, and TAO_No_Hint_Strategy.

The documentation for this class was generated from the following files:

- Active_Object_Map.h
- Active_Object_Map.cpp